# Function $ViewDirectiveFill

- $ViewDirectiveFill(
  $compile: any,
  $controller: any,
  $transitions: any,
  ): {
  compile: (tElement: any) => (scope: any, $element: any) => void;
  priority: number;
  restrict: string;
  }

  #### Parameters

  - $compile: any
  - $controller: any
  - $transitions: any

  #### Returns {
  compile: (tElement: any) => (scope: any, $element: any) => void;
  priority: number;
  restrict: string;
  }

  - Defined in src/router/directives/view-directive.js:312

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

- Defined in src/router/directives/view-directive.js:311